Get Assessment Packages
Partner Restricted
All assessment API endpoints are restricted to assessment providers that have signed a Paylocity technology partnership agreement. Please reach out to Techpartnerships@paylocity.com if you would like to discuss partnership opportunities.
Summary Description
This API endpoint is used to retrieve assessment packages configured within Paylocity’s platform for a specific companyId.
Use Cases
- Retrieve Packages: Fetch a list of all assessment packages available for a specific Paylocity client by using the companyId
- Response Details: The API provides a count of packages and detailed information about each one, including IDs, status, summaries, names, and associated assessments and tests
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
companyId
Headers
testMode
If true all responses are mocked and generated randomly.
Accept
Query parameters
offset
Pagination offset.
limit
Pagination limit, default value is 20.
includeTotalCount
If true, adds X-Pcty-Total-Count header with the total count of results for the query.
Response
Successful response